package com.freeleaps.devops.lint

import com.freeleaps.devops.enums.CodeLinterTypes
import com.freeleaps.devops.lint.LinterBase

class PyLint extends LinterBase {
  PyLint(steps, workspace, configs) {
    super(steps, workspace, configs, CodeLinterTypes.PYLINT)
  }

  def doLint() {
    steps.dir(workspace) {
      steps.sh("pylint --rcfile=${configs} ${workspace}")
    }
  }
}